API referenceCalls
Calls per day
Calls per calendar day for the last `days` days (India Standard Time): total, completed, failed, not answered and average length, plus totals. Days without calls are zeros.
GET
Calls per calendar day for the last days days (India Standard Time): total, completed, failed, not answered and average length, plus totals. Days without calls are zeros.
header
X-API-Key<token>Create in the console: Settings → API & webhooks.
days?DaysDays to cover, ending today: 1 to 90. Default 30.
Default
30OK
application/json- response
daily*array<>One entry per day, oldest first; days without calls are zeros.
days*DaysDays covered, ending today.
success?SuccessDefault
truetimezone*TimezoneTimezone that decides where a day starts (IANA name).
totals*[key: string]?anycurl -X GET 'https://api.callmitra.ai/api/v1/calls/daily-counts'Example Response
{ "daily": [ { "avgDurationSeconds": 80, "completed": 4, "date": "2026-11-14", "failed": 0, "noAnswer": 1, "total": 5 }, { "avgDurationSeconds": 69.6, "completed": 5, "date": "2026-11-15", "failed": 1, "noAnswer": 1, "total": 7 } ], "days": 2, "success": true, "timezone": "Asia/Kolkata", "totals": { "avgDurationSeconds": 74.2, "completed": 9, "failed": 1, "noAnswer": 2, "total": 12 }}